﻿--
--		MapAmpeln_Kreuzung3er
--@date: 12/12/2012
--@Author: Bluebaby210		www.mod-portal.com
--@Version: v2.0	v1.0 Skript Standart
--					v2.0 RedLights over drive, payment, screenshot, save Screenshot on/off
--				newAttribute = <Attribute name="Punishment_Red_overdrive" type="integer" value="350"/>
--
--darf in jede Map eingebaut werden, MapAmpeln.zip darf nicht neu hochgeladen werden
--
--Keine Änderung ohne meine Erlaubnis
--No modification without my permission
--
--
--

	print("   Map: TrafficLights 3er v2.0 by Bluebaby210 loaded!");

function onCreateKreuzung3er(self, id)
	--print("created MapAmpeln3er, id: ", id);
	local Ampeln3 = kreuzung3er:new(g_server ~= nil, g_client ~= nil);
    local index = g_currentMission:addOnCreateLoadedObject(Ampeln3);
    Ampeln3:load(id);
    Ampeln3:register(true);
	table.insert(MapAmpel.drawPart, Ampeln3);
end;

kreuzung3er = {}
kreuzung3er_directory = g_currentModDirectory;
local kreuzung3er_mt = Class(kreuzung3er, Object);

function kreuzung3er:new(isServer, isClient)
    local self = Object:new(isServer, isClient, kreuzung3er_mt);
    self.className = "kreuzung3er";
    return self;
end;

function kreuzung3er:load(id)

	--Indexe der Lampen laden
	self.red31 = Utils.indexToObject(id, getUserAttribute(id, "TrafficLights3.1_Red"));
	self.red32 = Utils.indexToObject(id, getUserAttribute(id, "TrafficLights3.2_Red"));
	self.red33 = Utils.indexToObject(id, getUserAttribute(id, "TrafficLights3.3_Red"));

	self.orange31 = Utils.indexToObject(id, getUserAttribute(id, "TrafficLights3.1_Orange"));
	self.orange32 = Utils.indexToObject(id, getUserAttribute(id, "TrafficLights3.2_Orange"));
	self.orange33 = Utils.indexToObject(id, getUserAttribute(id, "TrafficLights3.3_Orange"));

	self.green31 = Utils.indexToObject(id, getUserAttribute(id, "TrafficLights3.1_Green"));
	self.green32 = Utils.indexToObject(id, getUserAttribute(id, "TrafficLights3.2_Green"));
	self.green33 = Utils.indexToObject(id, getUserAttribute(id, "TrafficLights3.3_Green"));
	
	--Lampen gelb und grün ausschalten, sollten im GE nicht sichtbar sein, aber man kennt ja seine User...;-)
	setVisibility(self.red31,true);
	setVisibility(self.red32,true);
	setVisibility(self.red33,true);

	setVisibility(self.orange31,false);
	setVisibility(self.orange32,false);
	setVisibility(self.orange33,false);

	setVisibility(self.green31,false);
	setVisibility(self.green32,false);
	setVisibility(self.green33,false);
	
	--Collis Laden und collis hochsetzen sowie g_currentMission.nodeToVehicles setzen.
	self.colli31 = Utils.indexToObject(id, getUserAttribute(id, "TrafficLights3.1_Colli"));
	self.colli32 = Utils.indexToObject(id, getUserAttribute(id, "TrafficLights3.2_Colli"));
	self.colli33 = Utils.indexToObject(id, getUserAttribute(id, "TrafficLights3.3_Colli"));

	x31, y31, z31 = getTranslation(self.colli31);
	x32, y32, z32 = getTranslation(self.colli32);
	x33, y33, z33 = getTranslation(self.colli33);
		
	setTranslation(self.colli31,x31,0,z31);
	g_currentMission.nodeToVehicle[self.colli31] = {};
	setTranslation(self.colli32,x32,0,z32);
	g_currentMission.nodeToVehicle[self.colli32] = {};
	setTranslation(self.colli33,x33,0,z33);
	g_currentMission.nodeToVehicle[self.colli33] = {};

	self.trigger31 = Utils.indexToObject(id, getUserAttribute(id, "TrafficLights3.1_Trigger"));
	self.trigger32 = Utils.indexToObject(id, getUserAttribute(id, "TrafficLights3.2_Trigger"));
	self.trigger33 = Utils.indexToObject(id, getUserAttribute(id, "TrafficLights3.3_Trigger"));

	addTrigger(self.trigger31, "Trigger31Callback", self);
	addTrigger(self.trigger32, "Trigger32Callback", self);
	addTrigger(self.trigger33, "Trigger33Callback", self);
	
	x311, y311, z311 = getTranslation(self.trigger31);
	x322, y322, z322 = getTranslation(self.trigger32);
	x333, y333, z333 = getTranslation(self.trigger33);

	--greenTime laden überprüfen ob mich jemand "verarscht", zur not grünphasen an der falsch eingestellten Kreuzung gleich auf 5 sekunden setzen.
	self.greenTime31 = getUserAttribute(id, "TrafficLights3.1_greenTime");
	self.greenTime32 = getUserAttribute(id, "TrafficLights3.2_greenTime");
	self.greenTime33 = getUserAttribute(id, "TrafficLights3.3_greenTime");
	
	if self.greenTime31 < 5 or self.greenTime32 < 5 or self.greenTime33 < 5 then
		self.greenTime31 = 5;
		self.greenTime32 = 5;
		self.greenTime33 = 5;
		print ("Warning: Gruenphase in einer Ampel kleiner als 5Sek. oder nicht angegeben, Gruenphase in allen Ampeln der Kreuzung auf 5Sekunden gesetzt");
	end;

	--Timer grünphasen hochsetzen um Pausen für die umschaltung der nächsten Ampel erstellen zu können. Sowie blinklicht timer für ausgeschaltete ampeln laden.
	self.TimerGreen31 = (self.greenTime31 * 1000) + 10000;
	self.TimerGreen32 = (self.greenTime32 * 1000) + 6000;
	self.TimerGreen33 = (self.greenTime33 * 1000) + 3500;
	self.TimerGreen31Backup = self.TimerGreen31;
	self.TimerGreen32Backup = self.TimerGreen32;
	self.TimerGreen33Backup = self.TimerGreen33;
	self.TrafficLights32start = false;
	self.TrafficLights33start = false;
	self.sequenceIsInterrupted = false;
	self.orangeFlashing = true;
	self.orangeLightTimer = 2000;
	self.orangeLightTimerBackup = 2000;
	
	--Zeitsteuerung
	self.trafficLightsStartTime = getUserAttribute(id, "TrafficLights_start_time");
	if self.trafficLightsStartTime == 0 then
		self.trafficLightsStartTime = 0.01;
	end;
	self.trafficLightsEndTime = getUserAttribute(id, "TrafficLights_end_time");
	if self.trafficLightsEndTime == 0 then
		self.trafficLightsEndTime = 23.99;
	end;
	
	self.startTime = self.trafficLightsStartTime * 3600000;
	self.endTime = self.trafficLightsEndTime * 3600000;

	self.allowsControl = true;
		
	if (g_server ~= nil and g_server.netIsRunning or g_client ~= nil and g_client.netIsRunning) then
		self.allowsControl = false;
		globaleVariable = false;
		globaleTriggerVariable = false;
	end;
	
	self.MpStarted = 0;

	self.warnHud = Overlay:new("warnHudOverlay", (kreuzung3er_directory.."red.png"), 0, 0, 1, 1); 
	self.overRedDriveHud = Overlay:new("overRedDriveOverlay", (kreuzung3er_directory.."warning.png"), 0.3, 0.5, 0.4, 0.15);
	self.rowdy = Overlay:new("rowdyHudOverlay", (kreuzung3er_directory.."toMuch.png"), 0, 0, 1, 1);

	self.timescreenshot = 0;
	self.showWarningTime31 = 0;
	self.showWarningTime32 = 0;
	self.showWarningTime33 = 0;

	self.showWarning = false;  

	self.enterTrigger31 = false;
	self.enterTrigger32 = false;
	self.enterTrigger33 = false;
	self.totalPayCount31 = true;
	self.totalPayCount32 = true;
	self.totalPayCount33 = true;

	self.screenshot = false;
	
	--<Attribute name="Punishment_Red_overdrive" type="integer" value="350"/>
	self.punishment = Utils.getNoNil(getUserAttribute(id, "Punishment_Red_overdrive"),350); 
	if self.punishment == 0 then
		self.punishment = 350;
	end;

	self.payPunishment = 1;
	
	--Screenshot erstellen bzw pfad zum Ordner, thanks modelleicher
	local dir = getUserProfileAppPath();		--thanks modelleicher
	self.path = dir.."screenshots/redOverdrive/";

	local check = getFiles(self.path,"")
	if check == nil or check == 0 then 
		createFolder(dir.."screenshots/redOverdrive");
		--print("screenshots LS 13 Mod: Folder \"screenshots/redOverdrive\" in MyGames was createt");
	end; 
end;

function kreuzung3er:delete()
	removeTrigger(self.trigger31);
	removeTrigger(self.trigger32);
	removeTrigger(self.trigger33);

end;

function kreuzung3er:mouseEvent(posX, posY, isDown, isUp, button)
end;

function kreuzung3er:keyEvent(unicode, sym, modifier, isDown)
end;

function kreuzung3er:Trigger31Callback(triggerId, otherId, onEnter, onLeave, onStay, otherShapeId)
	if onEnter then
		if (g_currentMission.controlledVehicle ~= nil and otherId == g_currentMission.controlledVehicle.components[1].node) then
		self.enterTrigger31 = true;
		end;
	end;
end;
function kreuzung3er:Trigger32Callback(triggerId, otherId, onEnter, onLeave, onStay, otherShapeId)
	if onEnter then
		if (g_currentMission.controlledVehicle ~= nil and otherId == g_currentMission.controlledVehicle.components[1].node) then
		self.enterTrigger32 = true;
		end;
	end;
end;
function kreuzung3er:Trigger33Callback(triggerId, otherId, onEnter, onLeave, onStay, otherShapeId)
	if onEnter then
		if (g_currentMission.controlledVehicle ~= nil and otherId == g_currentMission.controlledVehicle.components[1].node) then
		self.enterTrigger33 = true;
		end;
	end;
end;

function kreuzung3er:update(dt)

	if (g_currentMission.environment.dayTime > self.startTime and g_currentMission.environment.dayTime < self.endTime) then
		if globaleVariable then
				self.orangeFlashing = true;
			if self.sequenceIsInterrupted then
				setVisibility(self.red31,true);
				setVisibility(self.red32,true);
				setVisibility(self.red33,true);
				setVisibility(self.orange31,false);
				setVisibility(self.orange32,false);
				setVisibility(self.orange33,false);
				setVisibility(self.green31,false);
				setVisibility(self.green32,false);
				setVisibility(self.green33,false);
				setTranslation(self.colli31,x31,0,z31);
				setTranslation(self.colli32,x32,0,z32);
				setTranslation(self.colli33,x33,0,z33);
				setTranslation(self.trigger31,x311,0,z311);
				setTranslation(self.trigger32,x322,0,z322);
				setTranslation(self.trigger33,x333,0,z333);
				self.enterTrigger31 = false;
				self.enterTrigger32 = false;
				self.enterTrigger33 = false;
				self.totalPayCount31 = true;
				self.totalPayCount32 = true;
				self.totalPayCount33 = true;
				self.showWarningTime31 = 0;
				self.showWarningTime32 = 0;
				self.showWarningTime33 = 0;
				self.payPunishment = 1;
				self.sequenceIsInterrupted = false;
			end;
			if self.TimerGreen31 >= 0 then
				self.TimerGreen31 = self.TimerGreen31 - dt;
					if self.TimerGreen31 <= (self.TimerGreen31Backup - 4000) and self.TimerGreen31 >= (self.TimerGreen31Backup - 5000) then	
						setVisibility(self.orange31,true);
						self.payPunishment = 1;
					elseif self.TimerGreen31 <= (self.TimerGreen31Backup - 5000) and self.TimerGreen31 >= ((self.TimerGreen31Backup + 5000) - self.TimerGreen31Backup) then	
						setVisibility(self.red31,false);
						setVisibility(self.orange31,false);
						setVisibility(self.green31,true);
						setTranslation(self.colli31,x31,-5,z31);
						setTranslation(self.trigger31,x311,-5,z311);
					elseif self.TimerGreen31 <= ((self.TimerGreen31Backup + 5000) - self.TimerGreen31Backup) and self.TimerGreen31 >= ((self.TimerGreen31Backup + 4000) - self.TimerGreen31Backup) then	
						setVisibility(self.green31,false);
						setVisibility(self.orange31,true);
					elseif self.TimerGreen31 <= ((self.TimerGreen31Backup + 4000) - self.TimerGreen31Backup) and self.TimerGreen31 >= ((self.TimerGreen31Backup + 3000) - self.TimerGreen31Backup) then	
						setVisibility(self.orange31,false);
						setVisibility(self.red31,true);
						setTranslation(self.colli31,x31,0,z31);
					elseif self.TimerGreen31 <= ((self.TimerGreen31Backup + 3000) - self.TimerGreen31Backup) and self.TimerGreen31 >= ((self.TimerGreen31Backup + 2500) - self.TimerGreen31Backup) then	
						setTranslation(self.trigger31,x311,0,z311);
						self.enterTrigger31 = false;
						self.totalPayCount31 = true;
						self.showWarningTime31 = 0;
					elseif self.TimerGreen31 <= ((self.TimerGreen31Backup + 2500) - self.TimerGreen31Backup) and self.TimerGreen31 >= 0 then	
						--do nothing, just Timer. for entertrigger31=false
					elseif self.TimerGreen31 <= 0 then
						self.TrafficLights32start = true;
					end;
				end;
			if self.TrafficLights32start then
				if self.TimerGreen32 >= 0 then
					self.TimerGreen32 = self.TimerGreen32 - dt;
						if self.TimerGreen32 <= self.TimerGreen32Backup and self.TimerGreen32 >= (self.TimerGreen32Backup - 1000) then
							setVisibility(self.orange32,true);
						elseif self.TimerGreen32 <= (self.TimerGreen32Backup - 1000) and self.TimerGreen32 >= ((self.TimerGreen32Backup + 5000) - self.TimerGreen32Backup) then	
							setVisibility(self.red32,false);
							setVisibility(self.orange32,false);
							setVisibility(self.green32,true);
							setTranslation(self.colli32,x32,-5,z32);
							setTranslation(self.trigger32,x322,-5,z322);
						elseif self.TimerGreen32 <= ((self.TimerGreen32Backup + 5000) - self.TimerGreen32Backup) and self.TimerGreen32 >= ((self.TimerGreen32Backup + 4000) - self.TimerGreen32Backup) then 
							setVisibility(self.green32,false);
							setVisibility(self.orange32,true);
						elseif self.TimerGreen32 <= ((self.TimerGreen32Backup + 4000) - self.TimerGreen32Backup) and self.TimerGreen32 >= ((self.TimerGreen32Backup + 3000) - self.TimerGreen32Backup) then	
							setVisibility(self.orange32,false);
							setVisibility(self.red32,true);
							setTranslation(self.colli32,x32,0,z32);
						elseif self.TimerGreen32 <= ((self.TimerGreen32Backup + 3000) - self.TimerGreen32Backup) and self.TimerGreen32 >= ((self.TimerGreen32Backup + 2500) - self.TimerGreen32Backup) then
							setTranslation(self.trigger32,x322,0,z322);
							self.enterTrigger32 = false;
							self.totalPayCount32 = true;
							self.showWarningTime32 = 0;
						elseif self.TimerGreen32 <= ((self.TimerGreen32Backup + 2500) - self.TimerGreen32Backup) and self.TimerGreen32 >= 0 then
						--do nothing, just Timer. for entertrigger32=false
						elseif self.TimerGreen32 <= 0 then
							self.TrafficLights33start = true;
							self.TrafficLights32start = false;
							self.TimerGreen32 = self.TimerGreen32Backup;
						end;
				end;
			end;
			if self.TrafficLights33start then
				if self.TimerGreen33 >= 0 then
					self.TimerGreen33 = self.TimerGreen33 - dt;
						if self.TimerGreen33 <= self.TimerGreen33Backup and self.TimerGreen33 >= (self.TimerGreen33Backup - 1000) then		
							setVisibility(self.orange33,true);
						elseif self.TimerGreen33 <= (self.TimerGreen33Backup - 1000) and self.TimerGreen33 >= ((self.TimerGreen33Backup + 2500) - self.TimerGreen33Backup) then	
							setVisibility(self.red33,false);
							setVisibility(self.orange33,false);
							setVisibility(self.green33,true);
							setTranslation(self.colli33,x33,-5,z33);
							setTranslation(self.trigger33,x333,-5,z333);
						elseif self.TimerGreen33 <= ((self.TimerGreen33Backup + 2500) - self.TimerGreen33Backup) and self.TimerGreen33 >= ((self.TimerGreen33Backup + 1500) - self.TimerGreen33Backup) then
							setVisibility(self.green33,false);
							setVisibility(self.orange33,true);
						elseif self.TimerGreen33 <= ((self.TimerGreen33Backup + 1500) - self.TimerGreen33Backup) and self.TimerGreen33 >= 0 then
							setVisibility(self.orange33,false);
							setVisibility(self.red33,true);
							setTranslation(self.colli33,x33,0,z33);
						elseif self.TimerGreen33 <= 0 then
							setTranslation(self.trigger33,x333,0,z333);
							self.enterTrigger33 = false;
							self.totalPayCount33 = true;
							self.TrafficLights33start = false;
							self.TimerGreen31 = self.TimerGreen31Backup;
							self.TimerGreen33 = self.TimerGreen33Backup;
							self.showWarningTime33 = 0;
						end;
				end;
			end;

		end;
	 
		if globaleVariable == false then
			if self.orangeFlashing then	
				self.TimerGreen31 = self.TimerGreen31Backup;
				self.TimerGreen32 = self.TimerGreen32Backup;
				self.TimerGreen33 = self.TimerGreen33Backup;
				self.TrafficLights32start = false;
				self.TrafficLights33start = false;
				setTranslation(self.colli31,x31,-5,z31);
				setTranslation(self.colli32,x32,-5,z32);
				setTranslation(self.colli33,x33,-5,z33);
				setTranslation(self.trigger31,x311,-5,z311);
				setTranslation(self.trigger32,x322,-5,z322);
				setTranslation(self.trigger33,x333,-5,z333);
				setVisibility(self.red31,false);
				setVisibility(self.red32,false);
				setVisibility(self.red33,false);
				setVisibility(self.green31,false);
				setVisibility(self.green32,false);
				setVisibility(self.green33,false);
				self.orangeFlashing = false;
				self.sequenceIsInterrupted = true;
				self.orangeLightTimer = self.orangeLightTimerBackup;
			end;
			if self.orangeFlashing == false then
				if self.orangeLightTimer >= 0 then	
					self.orangeLightTimer = self.orangeLightTimer - dt;
					if self.orangeLightTimer <= 2000 and self.orangeLightTimer >= 1000 then
						setVisibility(self.orange31,false);
						setVisibility(self.orange32,false);
						setVisibility(self.orange33,false);
					elseif self.orangeLightTimer <= 1000 and self.orangeLightTimer >= 0 then
						setVisibility(self.orange31,true);
						setVisibility(self.orange32,true);
						setVisibility(self.orange33,true);
					elseif self.orangeLightTimer <= 0 then
						self.orangeLightTimer = self.orangeLightTimerBackup;
					end;
				end;
			end;
		end;
	elseif (g_currentMission.environment.dayTime >= self.endTime or g_currentMission.environment.dayTime <= self.startTime) then  
			if self.orangeFlashing then	
				self.TimerGreen31 = self.TimerGreen31Backup;
				self.TimerGreen32 = self.TimerGreen32Backup;
				self.TimerGreen33 = self.TimerGreen33Backup;
				self.TrafficLights32start = false;
				self.TrafficLights33start = false;
				setTranslation(self.colli31,x31,-5,z31);
				setTranslation(self.colli32,x32,-5,z32);
				setTranslation(self.colli33,x33,-5,z33);
				setTranslation(self.trigger31,x311,-5,z311);
				setTranslation(self.trigger32,x322,-5,z322);
				setTranslation(self.trigger33,x333,-5,z333);
				setVisibility(self.red31,false);
				setVisibility(self.red32,false);
				setVisibility(self.red33,false);
				setVisibility(self.green31,false);
				setVisibility(self.green32,false);
				setVisibility(self.green33,false);
				self.orangeFlashing = false;
				self.sequenceIsInterrupted = true;
				self.orangeLightTimer = self.orangeLightTimerBackup;
			end;
			if self.orangeFlashing == false then
				if self.orangeLightTimer >= 0 then
					self.orangeLightTimer = self.orangeLightTimer - dt;
					if self.orangeLightTimer <= 2000 and self.orangeLightTimer >= 1000 then
						setVisibility(self.orange31,false);
						setVisibility(self.orange32,false);
						setVisibility(self.orange33,false);
					elseif self.orangeLightTimer <= 1000 and self.orangeLightTimer >= 0 then
						setVisibility(self.orange31,true);
						setVisibility(self.orange32,true);
						setVisibility(self.orange33,true);
					elseif self.orangeLightTimer <= 0 then
						self.orangeLightTimer = self.orangeLightTimerBackup;
					end;
				end;
			end;
		end;

	if not self.allowsControl then
		if self.MpStarted < 4000 then
			g_currentMission:addWarning(g_i18n:getText("Ampel_MP_W"));
			self.MpStarted = self.MpStarted + dt;
		end;
	end;
	
	if self.screenshot then
		if self.timescreenshot < 200 then
				self.timescreenshot = self.timescreenshot + dt;
			if self.timescreenshot >= 200 then
				if globaleScreenSave then
					local file = getFiles(self.path,"");
					saveScreenshot(self.path.."fsScreen_RedLights_over_drive_"..file..".".."jpg");
				end;
				g_currentMission:addSharedMoney(-(self.punishment * self.payPunishment), "other");
			end;
		end;
	end;
		
	if self.enterTrigger31 then
		if self.totalPayCount31 then
			totalpay = totalpay + self.punishment;
			self.totalPayCount31 = false;
		end;
		if self.showWarningTime31 < 2000 then
			self.showWarning = true;
			self.showWarningTime31 = self.showWarningTime31 + dt;
				if self.showWarningTime31 >= 2000 then
					self.showWarning = false;
					self.screenshot = false;
					self.timescreenshot = 0;
					self.payPunishment = self.payPunishment + 1;
					globalPunishment = globalPunishment + 1;
				end;
		end;
	end;
	if self.enterTrigger32 then
		if self.totalPayCount32 then
			totalpay = totalpay + self.punishment;
			self.totalPayCount32 = false;
		end;
		if self.showWarningTime32 < 2000 then
			self.showWarning = true;
			self.showWarningTime32 = self.showWarningTime32 + dt;
				if self.showWarningTime32 >= 2000 then
					self.showWarning = false;
					self.screenshot = false;
					self.timescreenshot = 0;
					self.payPunishment = self.payPunishment + 1;
					globalPunishment = globalPunishment + 1;
				end;
		end;
	end;
	if self.enterTrigger33 then
		if self.totalPayCount33 then
			totalpay = totalpay + self.punishment;
			self.totalPayCount33 = false;
		end;
		if self.showWarningTime33 < 2000 then
			self.showWarning = true;
			self.showWarningTime33 = self.showWarningTime33 + dt;
				if self.showWarningTime33 >= 2000 then
					self.showWarning = false;
					self.screenshot = false;
					self.timescreenshot = 0;
					self.payPunishment = self.payPunishment + 1;
					globalPunishment = globalPunishment + 1;
				end;
		end;
	end;

end;

function kreuzung3er:draw()
		if self.showWarning then
			self.warnHud:render();
			self.overRedDriveHud:render();
			setTextBold(true);
			setTextColor(1,1,1,1);
			renderText(0.32, 0.61, 0.022, g_i18n:getText("Over_Red_Drive"));
			renderText(0.32, 0.585, 0.022, g_i18n:getText("Over_Red_Drive1"));
			renderText(0.32, 0.56, 0.022, g_i18n:getText("Over_Red_Drive2"));
			setTextColor(1,0,0,1);
			renderText(0.41, 0.559, 0.022,tostring((self.punishment * self.payPunishment)).."€");
			setTextColor(1,1,1,1);
			renderText(0.46, 0.56, 0.022, g_i18n:getText("Over_Red_Drive3"));
			setTextBold(false);
			renderText(0.32, 0.542, 0.015, g_i18n:getText("Over_Red_Drive6").." "..tostring(globalPunishment));
			renderText(0.32, 0.528, 0.015, g_i18n:getText("Over_Red_Drive7").." "..tostring(totalpay).." ".."€");
			self.screenshot = true;
			if globaleScreenSave then
				setTextBold(false);
				renderText(0.32, 0.515, 0.015, g_i18n:getText("Over_Red_Drive4"));
			elseif globaleScreenSave == false then
				setTextBold(false);
				renderText(0.32, 0.515, 0.015, g_i18n:getText("Over_Red_Drive5"));
			end;
			if globalPunishment == 50 or globalPunishment == 75 or globalPunishment == 100 or globalPunishment == 125 or globalPunishment == 150 then
				self.rowdy:render();
			end;
			
		end;

end;



